#!/bin/sh

if [ "$(id -n -u)" = "{{ pgbouncer_user }}" ] ; then
  privilege_drop=''
else
  privilege_drop="-u {{ pgbouncer_user }}"
fi

cd /tmp; exec chpst ${privilege_drop} -U {{ pgbouncer_user }} {{ pgbouncer_psql_command }} -p {{ port }} -U {{ pgbouncer_psql_user }} -d pgbouncer "$@"
